commit cd2bbf745419be7e7984d9309688604107b3fa72
Author: Michael Schumacher <schumaml@gmx.de>
Date:   Wed Jul 13 01:16:10 2016 +0200

    configure.ac: release 2.8.18

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 65fc08cebe4e57fb71dd9a1640f315598e07109a
Author: Michael Schumacher <schumaml@gmx.de>
Date:   Wed Jul 13 01:13:59 2016 +0200

    NEWS: Add mention of fix for gimp-gradient-segment-range-move

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 420606a0abb43f1c870c5174bb845d0c08ee3645
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Sun Jul 10 17:21:32 2016 +0200

    Bug 768625: gimp-gradient-segment-range-move crashes...

    ...GIMP invoked with end-segment < 0

    correct a typo

    (cherry picked from commit 23d5944ef8fa9585dae7210ca344eeb473601541)

 app/core/gimpgradient.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de7c791b60ae1b37bc40372726f469ad1f354d4f
Author: Michael Schumacher <schumaml@gmx.de>
Date:   Thu Jul 7 21:12:41 2016 +0200

    NEWS: fix typos in 2.8.18 section

 NEWS | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a58d7c48be3a8b9d33fe3d1eaa00769791e4ff5d
Author: Michael Schumacher <schumaml@gmx.de>
Date:   Wed Jul 6 23:22:34 2016 +0200

    NEWS: updated for 2.8.18

 NEWS | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

commit 3e33f03e209b6da0da4886847b8e2721ff5a4ab5
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Sun Jul 3 18:26:37 2016 +0200

    Bug 768273: Rapid sequence of commands causes crash

    do not access progress object after destruction.

    silence warnings like:

    (gimp-2.8:1): GLib-GObject-WARNING **: gsignal.c:2635: instance
    '0x17083f0' has no handler with id '56146'

    (gimp-2.8:1): Gimp-Plug-In-CRITICAL **: plug_in_icc_profile_apply_rgb:
    assertion 'progress == NULL || GIMP_IS_PROGRESS (progress)' failed

    (cherry picked from commit a93cea0ef5bc810647689ae05ee2fc4760799a39)

     Conflicts:
	app/file/file-open.c

 app/file/file-open.c		   |  6 ++++++
 app/plug-in/gimpplugin-progress.c | 16 ++++++++++++----
 2 files changed, 18 insertions(+), 4 deletions(-)

commit 9656e08547d661a600a5dcb7e03e0d18aa874ea6
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:	Fri Jun 24 12:39:01 2016 +0200

    Bug 767476: Previously bolded font un-bolds on edit, cannot be undone

    (cherry picked from commit aa8d29deacaa42acde0ba0562f9fe93025b6fdaa)

     Conflicts:
	app/widgets/gimptextbuffer-serialize.c

 app/widgets/gimptextbuffer-serialize.c | 97
 ++++------------------------------
 app/widgets/gimptextbuffer.c		|  1 +
 2 files changed, 12 insertions(+), 86 deletions(-)

commit e82aaa4b4ee0703c879e35ea9321fff6be3e9b6f
Author: Shmuel H <shmuelgimp@gmail.com>
Date:	Mon Jun 20 17:14:41 2016 +0300

    Bug 767873 - (CVE-2016-4994) Multiple Use-After-Free when parsing...

    ...XCF channel and layer properties

    The properties PROP_ACTIVE_LAYER, PROP_FLOATING_SELECTION,
    PROP_ACTIVE_CHANNEL saves the current object pointer the @info
    structure. Others like PROP_SELECTION (for channel) and
    PROP_GROUP_ITEM (for layer) will delete the current object and create
    a new object, leaving the pointers in @info invalid (dangling).

    Therefore, if a property from the first type will come before the
    second, the result will be an UaF in the last lines of xcf_load_image
    (when it actually using the pointers from @info).

    I wasn't able to exploit this bug because that
    g_object_instance->c_class gets cleared by the last g_object_unref and
    GIMP_IS_{LAYER,CHANNEL} detects that and return FALSE.

    (cherry picked from commit 6d804bf9ae77bc86a0a97f9b944a129844df9395)

 app/xcf/xcf-load.c | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 25dd2c33da360b84de69541b0ca7f69ad35b2372
Author: Jehan <jehan@girinstud.io>
Date:	Mon Jun 13 03:26:57 2016 +0200

    Bug 763202 - Create $XDG_DATA_HOME if it doesn't exist.

    This has shown a problem especially on non-Linux platforms since XDG
    is more of a Linux standard.

    (cherry picked from commit 8ac1e407c585510080173446220b328d3294019a)

 libgimpbase/gimpenv.c | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit fc203cd20aa93d3c7d1be61f16e2449c0207c128
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sat Jun 11 08:55:40 2016 +0000

    Updated Swedish translation

 po/sv.po | 1929
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1130 insertions(+), 799 deletions(-)

commit 0d85024da8c9ef541b56f5dae4b5000d3aa99057
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sat Jun 11 08:49:59 2016 +0000

    Updated Swedish translation

 po-plug-ins/sv.po | 63
 ++++++++++++++++++++++++++++++-------------------------
 1 file changed, 34 insertions(+), 29 deletions(-)

commit 00ff2c27d90600cd1cc80ee7fa17133231b0ea24
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	Wed Jun 8 08:59:08 2016 +0000

    Updated Portuguese translation

 po-plug-ins/pt.po | 65
 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 34 insertions(+), 31 deletions(-)

commit 17d8af966937c3ba939246d5512bdce2bbe36d1e
Author: Dimitris Spingos (Δημήτρης Σπίγγος)
<dmtrs32@gmail.com>
Date:	Tue Jun 7 23:27:52 2016 +0300

    Update Greek translation

 po/el.po | 316
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 156 insertions(+), 160 deletions(-)

commit 6d5df7ea8fc32ec28a90a0dbfe53f93b07b66c27
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Jun 5 19:26:40 2016 +0200

    Updated Polish translation

 po-plug-ins/pl.po | 69
 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 37 insertions(+), 32 deletions(-)

commit 3efa22b65093b52e0d7901746d66b8adc82e1160
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:	Sun Jun 5 19:02:12 2016 +0200

    Bug 766886: the save bar keeps saving even whit a full bar



    based on ffd97c0eb8dab934e2b73d71051980ec28892483

 plug-ins/file-compressor/file-compressor.c | 38
 ++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit 6d454fdc85699983489265018433a56dd1130e1d
Author: Pedro Gimeno <bugzilla.gnome@personal.formauri.es>
Date:	Sun May 29 00:13:22 2016 +0200

    Bug 738951 - (modulo n m) may fail for m >= 46342 (in 32-bit) or m >=
    3037000501 (in 64-bit)

 plug-ins/script-fu/tinyscheme/scheme.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 59fa1e0359970d71cea6bf99db05b43fd3f80935
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Fri May 27 19:58:01 2016 +0000

    Updated Occitan translation

 po-tips/oc.po | 173
 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 88 insertions(+), 85 deletions(-)

commit 175dab2d7b7879af92cfc476eb3301bc0f460881
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Fri May 27 19:56:30 2016 +0000

    Updated Occitan translation

 po-plug-ins/oc.po | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 2ca211c7bbe09069c78ab53829895d0731682754
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Fri May 27 19:56:20 2016 +0000

    Updated Occitan translation

 po-libgimp/oc.po | 77
 +++++++++++++++++++++++++++-----------------------------
 1 file changed, 37 insertions(+), 40 deletions(-)

commit a6fa36eb357085cf626a102c0712643e8b50dfa8
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Fri May 27 19:56:11 2016 +0000

    Updated Occitan translation

 po-python/oc.po | 265
 +++++++++++++++++---------------------------------------
 1 file changed, 80 insertions(+), 185 deletions(-)

commit 286a93b20f7765f16e6fe54793c7ac3db8be2eb0
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Fri May 27 19:55:26 2016 +0000

    Updated Occitan translation

 po-tags/oc.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 323853032465ea128624c1795cbb5811796fe721
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Fri May 27 19:54:39 2016 +0000

    Updated Occitan translation

 po-script-fu/oc.po | 4188
 ++++++++++++++++++++++++++++++++--------------------
 1 file changed, 2576 insertions(+), 1612 deletions(-)

commit 015acb41b8790cc77ab87410f93c2a1c38c0732a
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Fri May 27 19:50:28 2016 +0000

    Updated Occitan translation

 po/oc.po | 21664
 ++++++++++++++++++++++++++++---------------------------------
 1 file changed, 10019 insertions(+), 11645 deletions(-)

commit 8a74bad0b5c6c1213b5695c0aaec00fd4ee7f07d
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:	Fri May 27 14:53:40 2016 +0200

    Bug 766424: gimp ignores deactivated layer masks when moving a
    masked part

    a back port of 3ea0e3f090e231a2c2593ddb609f5376858b66a4
    and bb43a89ef885d5e46ef1194b40e86cc583dc2c58
    from master.

 app/core/gimplayer.c | 33 ++++++++++++++++++---------------
 1 file changed, 18 insertions(+), 15 deletions(-)

commit 8d4f4f021f0ca2eca6f48ffaead34e0b4e6c8b0d
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Thu May 26 20:51:00 2016 +0000

    Updated Occitan translation

 po-plug-ins/oc.po | 490
 +++++++++++++++++++++++++-----------------------------
 1 file changed, 231 insertions(+), 259 deletions(-)

commit d1f86ac181328743ac9e5fd3bb1192ac51e45746
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Thu May 26 20:41:24 2016 +0000

    Updated Occitan translation

 po/oc.po | 177
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 88 insertions(+), 89 deletions(-)

commit a418407bd5faeaf32d4371791a836e2b25e51dbe
Author: Adrian Likins <alikins@redhat.com>
Date:	Thu May 26 03:48:26 2016 +0200

    Bug 749044 - Exporting as KISS - CELL (*.cel) results in error

 plug-ins/common/file-cel.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 9a40ae0befd88389e9977147b921ba7292da1b2a
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Wed May 25 20:09:37 2016 +0000

    Updated Occitan translation

 po/oc.po | 5117
 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 2461 insertions(+), 2656 deletions(-)

commit cf9d327c09a61b1abf8ea0b6a9c0fe9a98ca1493
Author: Simon Budig <simon@budig.de>
Date:	Wed May 25 20:17:02 2016 +0200

    script-fu: make regex matching return character indexes

    Since tinyscheme uses utf-8 for strings match the behaviour for the
    script-fu regex utilities as well. Fixes bug #764811

    (cherry picked from commit bdae0de1aaa4657454787c2a33bc009bebf8531d)

 plug-ins/script-fu/script-fu-regex.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 5fae26020bbb8ccff778e15d2d0f27bb828e25d5
Author: Michael Natterer <mitch@gimp.org>
Date:	Sun May 22 22:42:32 2016 +0200

    Bug 766250 - Gamut warning color incorrect, behavior reversion

    Need to multiply the guchar values by 256 for lcms2's
    cmsSetAlarmCodes() because it expects 16 bit values.

 modules/display-filter-lcms.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c534a18d1575fc596b7a2c62d16a0fa5116f1c98
Author: Michael Natterer <mitch@gimp.org>
Date:	Sun May 22 22:38:12 2016 +0200

    Bug 766327 - gimptool-2.0 not quoting filenames/directories

    Quote installation paths with g_shell_quote().

    (cherry picked from commit c73104e3eabda539d626e1f2081341d9c03dcf77)

 tools/gimptool.c | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit 395f1ef953f64fea080aec06a6a9922c343ad876
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed May 11 18:31:06 2016 +0200

    Updated Polish translation

 po/pl.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 35f9ee710d69f82f09e52f4b67cfbba9c46f1a73
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	Tue May 10 16:07:24 2016 +0000

    Updated Portuguese translation

 po-plug-ins/pt.po | 778
 +++++++++++++++++++++++-------------------------------
 1 file changed, 334 insertions(+), 444 deletions(-)

commit cfe42c9336b34f33f593858c0a00de7f573d16e8
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	Sun May 1 16:04:34 2016 +0000

    Updated Portuguese translation

 po/pt.po | 2 ++
 1 file changed, 2 insertions(+)

commit b9c5cc44784d676d4891cd5edfd5a787c8707485
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	Sun May 1 16:00:16 2016 +0000

    Updated Portuguese translation

 po/pt.po | 773
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 410 insertions(+), 363 deletions(-)

commit 0692ffe19ea934ec6361ceda91850c3c13cafe1b
Author: Marco Ciampa <ciampix@libero.it>
Date:	Fri Apr 29 09:42:21 2016 +0200

    Updated Italian translation

 po-plug-ins/it.po | 353
 ++++++++++++++++++++++++++++--------------------------
 po/it.po	   | 194 ++++++++++++++----------------
 2 files changed, 273 insertions(+), 274 deletions(-)

commit fee9dc252bee58e8fe79baecc7a4da703883cd8c
Author: João S. O. Bueno <gwidion@gmail.com>
Date:	Wed Apr 27 23:46:19 2016 -0300

    Bug 765685: Disambiguates octal-escaped output in c-source image
    output

    Fixes the plug-in output to render decimal digit
    characters as octal escaped, so they can't be acidentally
    combined in preceding escaped sequences. (i.e. the sequence
    of values '255, 49'  is now rendered as '\377\049' instead of
     '\3771')

    Thanks Steve Baker for noticing and reporting the issue.

 plug-ins/common/file-csource.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 428d4346661396d07d9cd4f7a55144f52db24e83
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Wed Apr 20 10:21:59 2016 +0000

    Updated Swedish translation

 po-plug-ins/sv.po | 245
 +++++++++++++++++++++++++++---------------------------
 1 file changed, 122 insertions(+), 123 deletions(-)

commit 5a74bb74123e2d82d0a71b4271ebd0e1ef01b644
Author: Ell <ell_se@yahoo.com>
Date:	Tue Apr 19 17:43:19 2016 +0200

    app: clear cond and mutex after usage

    (cherry picked from commit 76adffa943af68cdb23202e36cac910fe19d6be9)

 app/text/gimp-fonts.c | 3 +++
 1 file changed, 3 insertions(+)

commit 763d87d7013cf496290baf8f0fc50eb20a1f74d3
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	Mon Apr 18 12:04:12 2016 +0300

    Updated Greek translation

 po-plug-ins/el.po | 362
 ++++++++++++++++++++++++++++--------------------------
 1 file changed, 185 insertions(+), 177 deletions(-)

commit ad6729e0d67fc8eeb313c15dcb6c6be9e7276c3c
Author: Kristian Rietveld <kris@loopnest.org>
Date:	Sun Apr 17 17:27:06 2016 +0100

    Bug 449848 - Startup: initialize fontconfig in the background ...

    ... to avoid long pause on start

    On non-Linux operating systems the fontconfig cache is often not
    initialized by default. The first time GIMP was launched, this led
    to a non-responding application, confusing many users.

    The initialization of fontconfig has now been moved to a separate
    thread. The main thread will wait for this fontconfig thread to
    complete, regularly pulsing the UI.

    This patch was partly based on an earlier patch by Tor Lillqvist.

    (cherry picked from commit 30b73125f87b19e3ae322b9fc5bacc9f0b8ef3c1)

 app/core/gimp.c       |  2 +-
 app/text/gimp-fonts.c | 78
 +++++++++++++++++++++++++++++++++++++++++++++++----
 app/text/gimp-fonts.h |  2 ++
 3 files changed, 75 insertions(+), 7 deletions(-)

commit 5abf0bb35763fb3ebe56bd96298f852adb423e51
Author: Kristian Rietveld <kris@loopnest.org>
Date:	Sun Apr 17 17:22:12 2016 +0100

    Bug 719723 - Drag and drop of sRGB image crashes GIMP

    In file-jpeg, move the HAVE_LIBEXIF define down to include the call
    to the metadata plugin (pdb-in-metadata-decode-xmp). This is necessary
    because the metadata plugin is only available if GIMP was configured
    with HAVE_LIBEXIF.

 plug-ins/file-jpeg/jpeg-load.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 21c2cef29cae177432711db2c7f227e551feaeef
Author: Michael Natterer <mitch@gimp.org>
Date:	Sun Apr 17 16:52:31 2016 +0100

    app: enable a pulsing progress bar in the splash

    Startup functions can now make the progress bar pulse in order
    to report that something of unknown duration is in progress.

    Call status_callback (NULL, NULL, same_percentage)

    (cherry picked from commit d23135ef974cf70f3d172273b7c97e24392eda7c)

 app/gui/splash.c | 92
 +++++++++++++++++++++++++++++---------------------------
 1 file changed, 47 insertions(+), 45 deletions(-)

commit 42895c8ed47af04fbf481d6fa7b16fed5311b821
Author: Kristian Rietveld <kris@loopnest.org>
Date:	Sun Apr 17 14:23:28 2016 +0100

    Fix a bunch of header guards

    These were probably copy-n-paste errors. Credits go to clang's
    -Wheader-guard option.

 app/display/gimpcanvaspath.h	   | 4 ++--
 app/plug-in/gimppluginprocframe.h | 2 +-
 app/tools/gimptransformoptions.h  | 2 +-
 app/widgets/gimpcontrollermouse.h | 2 +-
 app/widgets/gimpcontrollerwheel.h | 2 +-
 5 files changed, 6 insertions(+), 6 deletions(-)

commit 08c22c0dc0fb8ee0f2f03ece91c9e59a2c226ac7
Author: Kristian Rietveld <kris@loopnest.org>
Date:	Sun Apr 17 00:32:27 2016 +0100

    Bug 756178 - Crash on new layer creation in fullscreen mode

    Disable "new-style" fullscreen mode on OS X, we need support in
    GTK+ in order for this to work properly. The currently available
    fullscreen option in View > Fullscreen works fine and we plan to
    migrate to the "new-style" fullscreen support in the future.

    (cherry picked from commit cdc7542d46a6d3c6b2c223d14f63e7d29d9571ec)

 app/display/Makefile.am       |  7 ++++++-
 app/display/gimpimagewindow.c | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+), 1 deletion(-)

commit b1da106ba38a3deb18636fc3cbf305edb8f7bc50
Author: Sven Claussner <scl@gimp.org>
Date:	Sat Apr 16 06:09:04 2016 +0000

    Make PDBGEN documentation clearer.

    Tell the developer not to run pdbgen.pl manually, but make.
    Describe the destdir environment variable.
    Update the /lib directory to the current /libgimp directory.
    Correct spelling.

 tools/pdbgen/README		  | 30 ++++++++++++++++++++----------
 tools/pdbgen/README_NEW_PDB_PROC |  2 +-
 2 files changed, 21 insertions(+), 11 deletions(-)

commit c373981c4046889abb743cb068bc8cce5fb88f1b
Author: Kristian Rietveld <kris@loopnest.org>
Date:	Fri Apr 15 23:25:08 2016 +0100

    app: block edited signal in GimpDataFactory edited callback

    This fixes a problem where in some cases the item next to the edited
    item was changed inadvertently. This was caused by the fact that
    the change of the label within the tree_name_edited callback triggered
    a re-ordering of the items, which triggered a stop editing signal,
    which
    finally caused a re-entrance in the tree_name_edited callback. By this
    time the item below "path_str" has changed, which caused the name of
    another object to be edited.

    (cherry picked from commit 2213f29677e1a3e1ccee7ca18e8accc288c83d18)

 app/widgets/gimpdatafactoryview.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit e73eb9d9b7fec75819a3565e02942f42ba61ee13
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Fri Apr 15 12:40:49 2016 +0000

    Updated Occitan translation

 po-plug-ins/oc.po | 11387
 +++++++++++++++++++++++++++-------------------------
 1 file changed, 5808 insertions(+), 5579 deletions(-)

commit 696f747ac4fafcc72598a39cba4f41354a15857e
Author: Michael Natterer <mitch@gimp.org>
Date:	Sat Apr 9 18:08:52 2016 +0200

    Bug 764822 - gimp man page references incorrect path to system-wide
    gimprc

    Use @gimpsysconfdir@ no just @sysconfdir@ when referring to files
    in the systemwide GIMP config files.

    (cherry picked from commit c074c5493cc2d6d91dfca3b06f5aa851c3baf524)

 docs/gimp.1.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 24131b22cdc119b83ebb10c064c7402d0b29ac37
Author: Jernej Simončič <jernej|s-cccp@eternallybored.org>
Date:	Thu Apr 7 20:33:34 2016 +0200

    Installer: increase LZMA dictionary size and fastbytes (decreases
    installer size by 20%)

 build/windows/installer/gimp3264.iss | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 02b77afa8cc1091926a22006df20f5039eb94975
Author: Jernej Simončič <jernej|s-cccp@eternallybored.org>
Date:	Thu Apr 7 20:32:58 2016 +0200

    Installer: files not needed to be included any more

 build/windows/installer/files.isi | 2 --
 1 file changed, 2 deletions(-)

commit 1fa50c2452a1d9926b45603631f1308a64412317
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Fri Apr 1 10:01:50 2016 +0000

    Updated Occitan translation

 po-libgimp/oc.po | 1853
 +++++++++++++++++++++---------------------------------
 1 file changed, 708 insertions(+), 1145 deletions(-)

commit fd9554d6cdcb0f09592a30e568d19ea6a19c4424
Author: Michael Natterer <mitch@gimp.org>
Date:	Thu Mar 31 22:15:37 2016 +0200

    Bug 753175 - color picker locks down the GUI

    Disable the color pickers buttons on OS X, they are unfixable in 2.8.

 app/widgets/gimpcoloreditor.c	     | 6 ++++++
 libgimpwidgets/gimpcolorselection.c | 6 ++++++
 2 files changed, 12 insertions(+)

commit 7a363f71983cb88eb839532fd0ecef550cfb77e7
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Mon Mar 28 17:02:27 2016 +0200

    Updated German translation

 po/de.po | 26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

commit 5f562455f7f44448cdeb71321fcca6ede0315330
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Mon Mar 28 16:56:36 2016 +0200

    Updated German translation

 po-plug-ins/de.po | 1884
 ++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 1277 insertions(+), 607 deletions(-)

commit e19ec6e511886fa60c000b19465ec00bfdb9d32e
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Mon Mar 28 13:53:30 2016 +0000

    Updated Brazilian Portuguese translation

 po-plug-ins/pt_BR.po | 684
 +++++++++++++++++++++++++++------------------------
 1 file changed, 357 insertions(+), 327 deletions(-)

commit fdcb8312a5d8beda4405d2738a29de1664b8d795
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Mon Mar 28 13:33:19 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1287
 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 649 insertions(+), 638 deletions(-)

commit 1ff1f40723a44820e72de160d3f53324cf9e3d33
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Mon Mar 28 13:14:33 2016 +0000

    Updated Brazilian Portuguese translation

 po-script-fu/pt_BR.po | 153
 +++++++++++++++++++++++++-------------------------
 1 file changed, 78 insertions(+), 75 deletions(-)

commit 4dbb1232a8221a31ca16b5c5c0a080fce15c3d4a
Author: Jehan <jehan@girinstud.io>
Date:	Mon Aug 11 23:01:12 2014 +0000

    Do not use g_io_channel_unix_new() for the win32 platforms.

    It is advised to use the more accurate g_io_channel_win32_new_fd() or
    g_io_channel_win32_new_socket() because GLib can't differentiate
    between
    file descriptors and sockets on Windows, which outputs a warning when
    there is ambiguity.

    (cherry picked from commit b8aabcac5c06b393911ae7556d18e137f4781e6a)

 app/config/gimpxmlparser.c | 4 ++++
 app/plug-in/gimpplugin.c   | 7 ++++++-
 libgimp/gimp.c		    | 5 +++++
 3 files changed, 15 insertions(+), 1 deletion(-)

commit 6245aba8174008fd80a9cd347683301c146d2ad7
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Fri Mar 25 23:46:26 2016 +0000

    Updated Hungarian translation

 po-plug-ins/hu.po | 304
 +++++++++++++++++++++++++++---------------------------
 1 file changed, 153 insertions(+), 151 deletions(-)

commit 1ccf19d30759bed777714eb72fa70b4b97dcef99
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Fri Mar 25 23:41:58 2016 +0000

    Updated Hungarian translation

 po/hu.po | 293
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 145 insertions(+), 148 deletions(-)

commit 9be5e5c94b0b0d33bb480b2368135efad3398083
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Mar 25 23:40:21 2016 +0100

    Updated Polish translation

 po-plug-ins/pl.po | 110
 ++++++++++++++++++++++++++++--------------------------
 po/pl.po	   |  69 ++++++++++++++++++----------------
 2 files changed, 95 insertions(+), 84 deletions(-)

commit 396ab85118bbed5a987b6965a4f28629507147fc
Author: Jehan <jehan@girinstud.io>
Date:	Fri Feb 26 17:15:14 2016 +0100

    Bug 762282 - Link ends with "/."

    Add a comment for translators, which will be extracted by gettext,
    ensuring that all translators are aware of the problem.

    (cherry picked from commit 0e9453d5eec40e1c8f9ba7d96b43f779a40edf70)

 app/about.h			| 5 +++++
 plug-ins/help/gimphelpdomain.c | 6 ++++++
 2 files changed, 11 insertions(+)

commit c795c16ddd91b6c6f26d5ea8aa7bc9221188cab5
Author: Jehan <jehan@girinstud.io>
Date:	Thu Feb 25 16:32:44 2016 +0100

    Bug 762282 - Link ends with "/."

    One can't say automatically if the dot is part of the URL (even though
    usually not). Simpler is to not finish with a dot.

    (cherry picked from commit 1159ec2d90b266026a12ae6659d4bf962843ef8a)

 app/about.h			| 2 +-
 plug-ins/help/gimphelpdomain.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit e3f3f5d2bd5e8a02e410d7b1bfdf5073581b9d8c
Author: Michael Natterer <mitch@gimp.org>
Date:	Mon Mar 21 09:19:06 2016 +0100

    app: fix calculation for action values which can wrap around

    such as the brush angle action.

    (cherry picked from commit c0fab2402a895d644e430a811ebe92ae87e27b9e)

 app/actions/actions.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f8b3fb2bb1a0dbc7312a20c992bfb9a2af88000a
Author: Michael Natterer <mitch@gimp.org>
Date:	Sun Mar 20 20:01:56 2016 +0100

    Bug 763207 - Dilate / Erode Missing First Line

    Apply patch from vasthusya@gmail.com which fixes the first line
    of dilate/erode.

 plug-ins/common/value-propagate.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 9bcd34843853abb4fa449ab7575e95e819bbaf17
Author: Martin Srebotnjak <miles@filmsi.net>
Date:	Fri Mar 11 22:04:31 2016 +0100

    Updated Slovenian translation

 po-script-fu/sl.po | 65
 ++++++++++++++++++++++++++++++------------------------
 1 file changed, 36 insertions(+), 29 deletions(-)

commit 2549bc604bb07a75378d9f6bd1587668bb47b4af
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Tue Mar 8 13:46:32 2016 +0000

    Updated Occitan translation

 po/oc.po | 11212
 +++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 6137 insertions(+), 5075 deletions(-)

commit 2055e1de0baa32b4d3ac97b510c3edbef05e0c53
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Mon Mar 7 21:52:01 2016 +0000

    Updated Swedish translation

 po-libgimp/sv.po | 332
 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 174 insertions(+), 158 deletions(-)

commit 78ee2739653b25399b3c20b4344e3c08553c01b1
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Sun Mar 6 20:15:11 2016 +0000

    Updated Danish translation

 po-libgimp/da.po | 33 +++++++++++++++++----------------
 1 file changed, 17 insertions(+), 16 deletions(-)

commit 04b37eabdcce22c1ade46fb6f0b81dba38cfaeaf
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Sun Mar 6 20:06:22 2016 +0000

    Updated Danish translation

 po-python/da.po | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 5a24e295c5a962ae8b255cb88b7e1869be377215
Author: Martin Srebotnjak <miles@filmsi.net>
Date:	Sat Mar 5 20:53:07 2016 +0100

    Updated Slovenian translation

 po-script-fu/sl.po | 2731
 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 2707 insertions(+), 24 deletions(-)

commit 900669a7f4df71fc3705f6f968128c86028376c8
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Sat Mar 5 16:54:43 2016 +0000

    Updated Danish translation

 po/da.po | 183
 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 111 insertions(+), 72 deletions(-)

commit 21a50c43cd66f1f9cedc18adc364b010dd9a9cba
Author: Thomas Manni <thomas.manni@free.fr>
Date:	Tue Mar 1 22:40:01 2016 +0100

    Bug 724731 - Difference clouds - memory leak if UNDO performed

    Create the clouds layer after calling gimp-image-undo-group-start

    (cherry picked from commit a8a214ffcbb23649dad691bc84cdeb2c2baaf54a)

 plug-ins/script-fu/scripts/difference-clouds.scm | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 3b29a10c6fb89f87d9f3b79b722e78ccc688d993
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:	Mon Feb 22 22:59:45 2016 +0100

    Update German translation

 po/de.po | 523
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 249 insertions(+), 274 deletions(-)

commit 3c729611618a502127ea667a1c126cc7deb8d5cd
Author: Jernej Simončič <jernej|s-cccp@eternallybored.org>
Date:	Thu Feb 18 20:01:13 2016 +0100

    Installer: automatically adjust width of Customize button when the
    text doesn't fit

 build/windows/installer/gimp3264.iss | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit b43604ea28f00d48e19edd33b9ec06a1f485529d
Author: Jernej Simončič <jernej|s-cccp@eternallybored.org>
Date:	Thu Feb 18 18:46:13 2016 +0100

    Installer: add Danish translation by scootergrisen at gmail.com

 build/windows/installer/lang/da.setup.isl | 113
 ++++++++++++++++++++++++++++++
 1 file changed, 113 insertions(+)

commit a5c21d6269092857cb7ef5bcac8e9755d4d4e675
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sat Feb 13 16:15:45 2016 +0000

    Updated Slovak translation

 po-script-fu/sk.po | 3221
 +++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 2313 insertions(+), 908 deletions(-)

commit c6a0e85d4c92f1881e25a9f2ef17e1e084fa2edb
Author: Michael Natterer <mitch@gimp.org>
Date:	Fri Feb 12 00:36:11 2016 +0100

    Bug 761573 - Problem with Raw Image Loader plugin

    Use g_file_query_info() to get the file's size, stat() has some
    windows 64 bit problem I've forgotten.

    (cherry picked from commit 26ff8eb40dacb842b2b990b5add68142085b56aa)

 plug-ins/common/file-raw.c | 28 +++++++++++++++++++++-------
 1 file changed, 21 insertions(+), 7 deletions(-)

commit 4bea7134fd11ceaffd759887eb5a820f493e9af5
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:	Wed Feb 10 17:14:00 2016 +0100

    Bug 761330: Gimp Drop Shadow window always opens...

    ...behind main window on windows

    Windows requires that the process with the
    foreground window explicitely allows long
    lasting background processes showing their
    windows as foreground/focused

    (cherry picked from commit f44c77b4a21264d25e6a95d94e11db639c092d84)

 app/plug-in/gimppluginmanager-call.c	  | 13 +++++++++++++
 plug-ins/script-fu/script-fu-interface.c | 11 +++++++++++
 2 files changed, 24 insertions(+)

commit 7b86a179830e499ab662aca703ce97ac4f4f0347
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Tue Feb 9 17:09:09 2016 +0000

    Updated Danish translation

 po-plug-ins/da.po | 8547
 ++++++++++++++++++++---------------------------------
 1 file changed, 3203 insertions(+), 5344 deletions(-)

commit 25ca13270f5c926cc92daffcf9fadf1054cf8505
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Tue Feb 9 13:57:01 2016 +0000

    Updated Danish translation

 po-tags/da.po | 32 ++++++++++++++++++++------------
 1 file changed, 20 insertions(+), 12 deletions(-)

commit 57b21e165d912fe017fe0fadba523ed3a38bb2fb
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Tue Feb 9 13:52:45 2016 +0000

    Updated Danish translation

 po-script-fu/da.po | 4120
 ++++++++++++++++++++--------------------------------
 1 file changed, 1588 insertions(+), 2532 deletions(-)

commit 8d2cc6083a1e1cec1538370a0a80d4af059f5d67
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Tue Feb 9 13:44:01 2016 +0000

    Updated Danish translation

